<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.7"/>
<title>Framework: framework::core::cvimage::Type Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Framework
   </div>
   <div id="projectbrief">Framework drone</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.7 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('classframework_1_1core_1_1cvimage_1_1_type.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Namespaces</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(9)"><span class="SelectionMark">&#160;</span>Properties</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classframework_1_1core_1_1cvimage_1_1_type-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">framework::core::cvimage::Type Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Inheritance diagram for framework::core::cvimage::Type:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
 <div class="center">
  <img src="classframework_1_1core_1_1cvimage_1_1_type.png" usemap="#framework::core::cvimage::Type_map" alt=""/>
  <map id="framework::core::cvimage::Type_map" name="framework::core::cvimage::Type_map">
<area href="classframework_1_1core_1_1_data_type.html" alt="framework::core::DataType" shape="rect" coords="0,0,190,24"/>
</map>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr class="memitem:ae8a6b4177d1f139d893636917635528e"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1cvimage_1_1_type.html#ae8a6b4177d1f139d893636917635528e">Format</a> { <a class="el" href="classframework_1_1core_1_1cvimage_1_1_type.html#ae8a6b4177d1f139d893636917635528ea52c8796e733cb603dc16270c874e91d7">Format::YUYV</a>, 
<a class="el" href="classframework_1_1core_1_1cvimage_1_1_type.html#ae8a6b4177d1f139d893636917635528ea87261c567c007f283e17a5fc8c259296">Format::UYVY</a>, 
<a class="el" href="classframework_1_1core_1_1cvimage_1_1_type.html#ae8a6b4177d1f139d893636917635528ea2ad5640ebdec72fc79531d1778c6c2dc">Format::BGR</a>, 
<a class="el" href="classframework_1_1core_1_1cvimage_1_1_type.html#ae8a6b4177d1f139d893636917635528ea48bf014c704c9eaae100a98006a37bf7">Format::GRAY</a>
 }</td></tr>
<tr class="separator:ae8a6b4177d1f139d893636917635528e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a55cabc64afa4c9ac607cf6876a210e2f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a55cabc64afa4c9ac607cf6876a210e2f"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>Type</b> (uint16_t _width, uint16_t _height, <a class="el" href="classframework_1_1core_1_1cvimage_1_1_type.html#ae8a6b4177d1f139d893636917635528e">Format</a> _format)</td></tr>
<tr class="separator:a55cabc64afa4c9ac607cf6876a210e2f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa00a78ce319dd02b87affe26659715ed"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa00a78ce319dd02b87affe26659715ed"></a>
size_t&#160;</td><td class="memItemRight" valign="bottom"><b>GetSize</b> () const </td></tr>
<tr class="separator:aa00a78ce319dd02b87affe26659715ed"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5eeec67f40f66e83f608655e9d30f519"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5eeec67f40f66e83f608655e9d30f519"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>GetDescription</b> () const </td></tr>
<tr class="separator:a5eeec67f40f66e83f608655e9d30f519"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a538379ed69deee068ddf9392dd0eb83d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a538379ed69deee068ddf9392dd0eb83d"></a>
<a class="el" href="classframework_1_1core_1_1cvimage_1_1_type.html#ae8a6b4177d1f139d893636917635528e">Format</a>&#160;</td><td class="memItemRight" valign="bottom"><b>GetFormat</b> () const </td></tr>
<tr class="separator:a538379ed69deee068ddf9392dd0eb83d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a997b2dc3743aec0da08ee1aed8523ff3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a997b2dc3743aec0da08ee1aed8523ff3"></a>
uint16_t&#160;</td><td class="memItemRight" valign="bottom"><b>GetWidth</b> () const </td></tr>
<tr class="separator:a997b2dc3743aec0da08ee1aed8523ff3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad8b4d3c92eecc71d88da1c1cd04e7060"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad8b4d3c92eecc71d88da1c1cd04e7060"></a>
uint16_t&#160;</td><td class="memItemRight" valign="bottom"><b>GetHeight</b> () const </td></tr>
<tr class="separator:ad8b4d3c92eecc71d88da1c1cd04e7060"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Member Enumeration Documentation</h2>
<a class="anchor" id="ae8a6b4177d1f139d893636917635528e"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="classframework_1_1core_1_1cvimage_1_1_type.html#ae8a6b4177d1f139d893636917635528e">framework::core::cvimage::Type::Format</a></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">strong</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><a class="anchor" id="ae8a6b4177d1f139d893636917635528ea52c8796e733cb603dc16270c874e91d7"></a>YUYV&#160;</td><td class="fielddoc">
<p>YUYV 16 bits </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="ae8a6b4177d1f139d893636917635528ea87261c567c007f283e17a5fc8c259296"></a>UYVY&#160;</td><td class="fielddoc">
<p>UYVY 16 bits </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="ae8a6b4177d1f139d893636917635528ea2ad5640ebdec72fc79531d1778c6c2dc"></a>BGR&#160;</td><td class="fielddoc">
<p>BGR 24 bits </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="ae8a6b4177d1f139d893636917635528ea48bf014c704c9eaae100a98006a37bf7"></a>GRAY&#160;</td><td class="fielddoc">
<p>gray 8 bits </p>
</td></tr>
</table>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespaceframework.html">framework</a></li><li class="navelem"><a class="el" href="namespaceframework_1_1core.html">core</a></li><li class="navelem"><a class="el" href="classframework_1_1core_1_1cvimage.html">cvimage</a></li><li class="navelem"><a class="el" href="classframework_1_1core_1_1cvimage_1_1_type.html">Type</a></li>
    <li class="footer">Generated on Tue Apr 12 2016 16:28:59 for Framework by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.7 </li>
  </ul>
</div>
</body>
</html>
